﻿<AML>
 <Item type="ItemType" id="A823901512454BA497373E74194C36F3" action="add">
  <allow_private_permission>1</allow_private_permission>
  <auto_search>0</auto_search>
  <enforce_discovery>1</enforce_discovery>
  <hide_where_used>0</hide_where_used>
  <history_template keyed_name="Default" type="History Template">3BC16EF9E52B4F9792AB76BCE0492F29</history_template>
  <implementation_type>table</implementation_type>
  <instance_data>ACC_CASHBOOK</instance_data>
  <is_dependent>0</is_dependent>
  <is_relationship>0</is_relationship>
  <is_versionable>0</is_versionable>
  <label xml:lang="en">CashBook</label>
  <label_plural xml:lang="en">07 CashBook</label_plural>
  <large_icon>../Images/DetailsView.svg</large_icon>
  <open_icon>../Images/DetailsView.svg</open_icon>
  <revisions keyed_name="Default" type="Revision">7FE395DD8B9F4E1090756A34B733D75E</revisions>
  <show_parameters_tab>1</show_parameters_tab>
  <structure_view>tabs on</structure_view>
  <unlock_on_logout>0</unlock_on_logout>
  <use_src_access>0</use_src_access>
  <name>acc_CashBook</name>
  <Relationships>
   <Item type="Property" id="CD45DA9269E645DE945CAE9BBE132DAD" action="add">
    <column_alignment>left</column_alignment>
    <data_source keyed_name="acc_AccountDetails" type="ItemType" name="acc_AccountDetails">13F9A9B703A3471A9248E9BF0093CEC3</data_source>
    <data_type>item</data_type>
    <is_hidden>0</is_hidden>
    <is_hidden2>0</is_hidden2>
    <is_indexed>0</is_indexed>
    <is_keyed>0</is_keyed>
    <is_multi_valued>0</is_multi_valued>
    <is_required>0</is_required>
    <item_behavior>float</item_behavior>
    <label xml:lang="en">CashBook Account</label>
    <range_inclusive>0</range_inclusive>
    <readonly>0</readonly>
    <sort_order>4096</sort_order>
    <source_id keyed_name="acc_CashBook" type="ItemType" name="acc_CashBook">A823901512454BA497373E74194C36F3</source_id>
    <track_history>0</track_history>
    <name>acc_cashbook</name>
   </Item>
   <Item type="Property" id="749B6ED8D3AE4E09A78D758125FE686F" action="add">
    <column_alignment>right</column_alignment>
    <data_type>decimal</data_type>
    <is_hidden>0</is_hidden>
    <is_hidden2>0</is_hidden2>
    <is_indexed>0</is_indexed>
    <is_keyed>0</is_keyed>
    <is_multi_valued>0</is_multi_valued>
    <is_required>0</is_required>
    <label xml:lang="en">Cashbook Balance</label>
    <prec>19</prec>
    <range_inclusive>0</range_inclusive>
    <readonly>1</readonly>
    <scale>2</scale>
    <sort_order>3840</sort_order>
    <source_id keyed_name="acc_CashBook" type="ItemType" name="acc_CashBook">A823901512454BA497373E74194C36F3</source_id>
    <track_history>0</track_history>
    <name>acc_cashbook_balance</name>
   </Item>
   <Item type="Property" id="ACFF9BA7A04049E8BDF1F1F011055559" action="add">
    <column_alignment>left</column_alignment>
    <data_source keyed_name="acc_CashBook">4DF6E5DDA71F468C8D35172B83FAFE4D</data_source>
    <data_type>sequence</data_type>
    <is_hidden>0</is_hidden>
    <is_hidden2>0</is_hidden2>
    <is_indexed>0</is_indexed>
    <is_keyed>0</is_keyed>
    <is_multi_valued>0</is_multi_valued>
    <is_required>0</is_required>
    <label xml:lang="en">Cashbook No.</label>
    <range_inclusive>0</range_inclusive>
    <readonly>1</readonly>
    <sort_order>3200</sort_order>
    <source_id keyed_name="acc_CashBook" type="ItemType" name="acc_CashBook">A823901512454BA497373E74194C36F3</source_id>
    <track_history>0</track_history>
    <name>acc_cashbook_no</name>
   </Item>
   <Item type="Property" id="ACD7488E36374392B6E72FAF5E957EDC" action="add">
    <column_alignment>left</column_alignment>
    <data_type>date</data_type>
    <is_hidden>0</is_hidden>
    <is_hidden2>0</is_hidden2>
    <is_indexed>0</is_indexed>
    <is_keyed>0</is_keyed>
    <is_multi_valued>0</is_multi_valued>
    <is_required>0</is_required>
    <label xml:lang="en">Last Update Date</label>
    <pattern>short_date</pattern>
    <range_inclusive>0</range_inclusive>
    <readonly>1</readonly>
    <sort_order>3328</sort_order>
    <source_id keyed_name="acc_CashBook" type="ItemType" name="acc_CashBook">A823901512454BA497373E74194C36F3</source_id>
    <track_history>0</track_history>
    <name>acc_date</name>
   </Item>
   <Item type="Property" id="7329F1F0A87F4817949805701A59A924" action="add">
    <column_alignment>left</column_alignment>
    <data_type>boolean</data_type>
    <default_value xml:lang="en">0</default_value>
    <is_hidden>1</is_hidden>
    <is_hidden2>1</is_hidden2>
    <is_indexed>0</is_indexed>
    <is_keyed>0</is_keyed>
    <is_multi_valued>0</is_multi_valued>
    <is_required>0</is_required>
    <label xml:lang="en">Post</label>
    <range_inclusive>0</range_inclusive>
    <readonly>0</readonly>
    <sort_order>3712</sort_order>
    <source_id keyed_name="acc_CashBook" type="ItemType" name="acc_CashBook">A823901512454BA497373E74194C36F3</source_id>
    <track_history>0</track_history>
    <name>acc_ispost</name>
   </Item>
   <Item type="Property" id="BF4EB47B99D740C68EBC2ADEAB940042" action="add">
    <column_alignment>right</column_alignment>
    <data_type>decimal</data_type>
    <is_hidden>1</is_hidden>
    <is_hidden2>1</is_hidden2>
    <is_indexed>0</is_indexed>
    <is_keyed>0</is_keyed>
    <is_multi_valued>0</is_multi_valued>
    <is_required>0</is_required>
    <label xml:lang="en">acc_total_expense</label>
    <range_inclusive>0</range_inclusive>
    <readonly>0</readonly>
    <sort_order>4224</sort_order>
    <source_id keyed_name="acc_CashBook" type="ItemType" name="acc_CashBook">A823901512454BA497373E74194C36F3</source_id>
    <track_history>0</track_history>
    <name>acc_total_expense</name>
   </Item>
   <Item type="Property" id="69CC2A1A808C4594B90626187C31FC1C" action="add">
    <column_alignment>right</column_alignment>
    <data_type>decimal</data_type>
    <is_hidden>1</is_hidden>
    <is_hidden2>1</is_hidden2>
    <is_indexed>0</is_indexed>
    <is_keyed>0</is_keyed>
    <is_multi_valued>0</is_multi_valued>
    <is_required>0</is_required>
    <label xml:lang="en">acc_total_income</label>
    <range_inclusive>0</range_inclusive>
    <readonly>0</readonly>
    <sort_order>4352</sort_order>
    <source_id keyed_name="acc_CashBook" type="ItemType" name="acc_CashBook">A823901512454BA497373E74194C36F3</source_id>
    <track_history>0</track_history>
    <name>acc_total_income</name>
   </Item>
   <Item type="View" id="87DAC0CA3AA143B1B1D4B5099C543620" action="add">
    <client>js</client>
    <related_id keyed_name="acc_CashBook" type="Form">99143FB6F22C4918B4B5B1B4124575DB</related_id>
    <role keyed_name="World" type="Identity">
     <Item type="Identity" action="get" select="id">
      <name>World</name>
     </Item>
    </role>
    <show_ssvc>0</show_ssvc>
    <sort_order>128</sort_order>
    <source_id keyed_name="acc_CashBook" type="ItemType" name="acc_CashBook">A823901512454BA497373E74194C36F3</source_id>
    <type>default</type>
   </Item>
   <Item type="Server Event" id="44FB472908DC41E2818891200F3EBE0D" action="add">
    <event_version>version_1</event_version>
    <is_required>0</is_required>
    <related_id keyed_name="acc_CashBookBeforeDelete" type="Method">
     <Item type="Method" action="get" select="id">
      <name>acc_CashBookBeforeDelete</name>
     </Item>
    </related_id>
    <server_event>onBeforeDelete</server_event>
    <sort_order>128</sort_order>
    <source_id keyed_name="acc_CashBook" type="ItemType" name="acc_CashBook">A823901512454BA497373E74194C36F3</source_id>
   </Item>
   <Item type="TOC Access" id="89E9DB7B7B6643F9B9C5DE1FDB3E72BE" action="add">
    <related_id keyed_name="ACC ADMIN USER" type="Identity">B43DDC06F0634FA58828ECEDE958E5F3</related_id>
    <sort_order>128</sort_order>
    <source_id keyed_name="acc_CashBook" type="ItemType" name="acc_CashBook">A823901512454BA497373E74194C36F3</source_id>
    <category>AccountingTransaction</category>
   </Item>
   <Item type="Can Add" id="D09260835E064455892CCEC2F91B6921" action="add">
    <can_add>1</can_add>
    <related_id keyed_name="ACC ADMIN USER" type="Identity">B43DDC06F0634FA58828ECEDE958E5F3</related_id>
    <sort_order>128</sort_order>
    <source_id keyed_name="acc_CashBook" type="ItemType" name="acc_CashBook">A823901512454BA497373E74194C36F3</source_id>
   </Item>
   <Item type="Can Add" id="0250651F003341D7A5094D2A7335C79C" action="add">
    <can_add>1</can_add>
    <related_id keyed_name="ACC SUB-USER" type="Identity">81F87A89465D41EEA380FACBDF0CB683</related_id>
    <sort_order>256</sort_order>
    <source_id keyed_name="acc_CashBook" type="ItemType" name="acc_CashBook">A823901512454BA497373E74194C36F3</source_id>
   </Item>
   <Item type="Allowed Permission" id="B45DFEF9303745F4A3125A62938F11FF" action="add">
    <is_default>1</is_default>
    <related_id keyed_name="acc_Create_And_View" type="Permission">8C8E0B4E3C944F2A9A7904B19D1BEA79</related_id>
    <sort_order>128</sort_order>
    <source_id keyed_name="acc_CashBook" type="ItemType" name="acc_CashBook">A823901512454BA497373E74194C36F3</source_id>
   </Item>
  </Relationships>
 </Item>
</AML>